<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title> RSA </title>
</head>
<body style="padding: 20px;">

<div class="text" style="padding: 20px; width: 100%; height: 70%;">
	<div class="input-text" style="padding: 20px; height: 100%; float: left;">
        <div>
            <label style="float: left" for="in-text"> PC-1 </label>
        </div>
		<textarea id="in-text" rows="10"  cols="70" name="text"></textarea>
        <div>
            <div>
                <label for="public-key"> Public Key</label>
                <input style="width: 100%" id="public-key">
            </div>
            <div style="margin-top: 10px">
                <label for="private-key"> Private Key</label>
                <input style="width: 100%" id="private-key">
            </div>
        </div>

        <button style="margin: 40px; display: block" onclick="ctrl.generateNewPair()">Generate new pair</button>
        <button style="margin: 40px; display: block" onclick="ctrl.decrypting()">Decrypt Message</button>
	</div>

	<div class="output-text" style=" margin-left:40px; display: inline-block;float: left;padding: 20px;">
        <div>
            <label style="float: left" for="in-text"> PC-2 </label>
        </div>
		<textarea id="out-text" rows="10" cols="70" name="text"></textarea>
        <div>
            <label for="public-key-pc"> PC Public Key</label>
            <input style="width: 100%;" id="public-key-pc">
        </div>
        <button style="margin: 40px; display: block" onclick="ctrl.encrypting()">Encrypt for PC-1</button>
	</div>
</div>

<script type="module">import Controller from "./src/Controller.js"; window.ctrl = new Controller()</script>

</body>
</html>